Subject: exception trapped!
From: [email-masked] (root)

19 Nov 1996 17:31:11 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Content-Length: 1133      
Original-Sender: [email-masked]

Have you seen those messages recently?

I just can't believe that here nobody knows how to do it,
so I ask the question for a second (and last) time.

I would like to know how it is done. I have figured out how
to generate the code to set the exception handling in the
user program, and I have even figured out how to set the
exception handler at the top level at program's startup.
But I would like to see another implementation to see if 
I did everything O.K. Maybe I'm missing some essential obscure
point. (ALL of this exception handling stuff is VERY
obscure!)

Basically:
My exception handling routine is called when the program traps.
OK. I go to the exception trapping list at %fs:0 and call all
exception handlers until either the list is finished 
(what do I do if I get there?) or an exception handler
returns 1.
If I see an exception handler, I call RtlUnwind16. Then I call
the executing part of the handler, that should never return.

Easy isn't it?  Well...

Please give me a hand guys!

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".